Brains
List Brain sources
GET /v1/brains/{brainId}/sources · SDK listBrainSources · CLI deployments brain-source list
GET
Requires brains:read.
tenantJwtheader
AuthorizationBearer <token>Tenant JWT carrying organization, project, and environment claims.
brainId*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$cursor?stringLength
1 <= length <= 4096limit?integerRange
1 <= value <= 100x-deployments-organization*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$BrainSourcePageResponse
application/json- response
items*array<>nextCursor?|nullcurl -X GET "https://example.com/v1/brains/string/sources" \ -H "x-deployments-organization: string"{ "items": [ { "brainId": "string", "connectionId": "string", "configuration": {}, "createdAt": "string", "createdByPrincipalId": "string", "id": "string", "environmentId": "string", "kind": "email", "lastSyncAt": "string", "name": "string", "organizationId": "string", "projectId": "string", "status": "active", "syncCursor": "string", "syncError": "string", "updatedAt": "string", "updatedByPrincipalId": "string", "version": 0 } ], "nextCursor": "string"}